//
//  GMShareConstant.h
//  GMShareSDK
//
//  Created by Mikasa on 2021/1/15.
//

#import "GMThirdPartyDefine.h"

typedef void(^GMSharePlatformClick)(GMSharePlatform platform);

extern NSString * const ShareContentType;
extern NSString * const ShareOnlyImage;
extern NSString * const ShareImage;
extern NSString * const ShareUrl;
extern NSString * const ShareTitle;
extern NSString * const ShareText;
extern NSString * const ShareUserName;
extern NSString * const SharePath;
extern NSString * const ShareHdImageData;
extern NSString * const ShareDescription;
extern NSString * const ShareThumbImage;
extern NSString * const ShareVideoUrl;

// 获取分享平台渠道---埋点使用
static inline NSString *_getGMShareChannelByType(GMSharePlatform platformType) {
    if (platformType == GMSharePlatformQQFriend) return @"qq";
    if (platformType == GMSharePlatformQQSpace) return @"qzone";
    if (platformType == GMSharePlatformWechatSession) return @"wechat";
    if (platformType == GMSharePlatformWechatTimeline) return @"wechatline";
    if (platformType == GMSharePlatformWechatSessionSnapShot) return @"wechat_snapshot";
    if (platformType == GMSharePlatformWechatTimelineSnapShot) return @"wechatline_snapshot";
    if (platformType == GMSharePlatformWechatMiniProgram) return @"xcx";
    if (platformType == GMSharePlatformSinaWeibo) return @"tsina";
    if (platformType == GMSharePlatformDouyin) return @"Douyin";
    if (platformType == GMSharePlatformCopyLink) return @"copy_url";
    return @"Default";
}
